<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Real-Time Data Generator</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link href="{{ https_url_for(request, 'static', path='c3.min.css') }}" rel="stylesheet">
</head>
<body>
<div class="container-fluid">
    <div class="row justify-content-between my-3 px-3">
        <div class="col-2">
            <select id="tickers_list" class="form-select">{% for key in tickers_keys %}
                <option>{{ key }}</option>{% endfor %}
            </select>
        </div>
        <div class="col-2">
            <p class="text-end">Price: <b id="price"></b></p>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div id="chart"></div>
        </div>
    </div>
</div>
<script src="https://d3js.org/d3.v5.min.js"></script>
<script src="{{ https_url_for(request, 'static', path='c3.min.js') }}"></script>
<script src="{{ https_url_for(request, 'static', path='main.js') }}"></script>
<script>
    const BUFFER_SUZE = {{ buffer_size }};
</script>
</body>
</html>
